Skip to main content
GET
Get dispute

Authorizations

Authorization
string
header
required

Organization API key using Authorization: Bearer sk_....

Path Parameters

id
string
required

Identifier of the dispute.

Response

Dispute details

A dispute recorded for a payment.

id
string
required

Unique identifier of the dispute.

Example:

"dis_1234567890abcdefghij"

createdAt
string<date-time>
required

When the dispute was created.

Example:

"2025-01-15T18:30:00.000Z"

updatedAt
string<date-time>
required

When the dispute was last updated.

Example:

"2025-01-15T18:30:00.000Z"

status
enum<string>
required

Current status of the dispute.

Available options:
PENDING_RESPONSE,
IN_REVIEW,
CLOSED,
LOST,
WON
Example:

"PENDING_RESPONSE"

respondBy
string<date-time> | null
required

Deadline for submitting evidence to the issuer.

Example:

null

reason
enum<string> | null
required

Reason the customer disputed the charge.

Available options:
BANK_CANNOT_PROCESS,
CHECK_RETURNED,
CREDIT_NOT_PROCESSED,
CUSTOMER_INITIATED,
DEBIT_NOT_AUTHORIZED,
DUPLICATE_CHARGE,
FRAUDULENT,
GENERAL,
INCORRECT_ACCOUNT_DETAILS,
INSUFFICIENT_FUNDS,
NONCOMPLIANT,
PRODUCT_NOT_RECEIVED,
PRODUCT_UNACCEPTABLE,
SUBSCRIPTION_CANCELED,
UNRECOGNIZED_CHARGE,
null
Example:

null

paymentId
string
required

Identifier of the disputed payment.

Example:

"p_1234567890abcdefghij"

madeById
string | null
required

Identifier of the user who recorded the dispute, if any.

Example:

"u_1234567890abcdefghij"

resolvedAt
string<date-time> | null
required

When the dispute was resolved, if applicable.

Example:

null

lostReason
string | null
required

Reason the dispute was lost, if applicable.

Example:

null

resolvedById
string | null
required

Identifier of the user who resolved the dispute, if any.

Example:

null

payoutId
string | null
required

Identifier of the related payout, if any.

Example:

null